
#ifndef RWSIM_IO_H
#define RWSIM_IO_H

#include <unordered_map>
#include <map>
#include <string>
#include <filesystem>
#include <vector>

std::unordered_map<std::string, double> parse_arguments(const std::filesystem::path&);

void fid_write_out(const std::string&, const std::vector<double>&, const std::vector<double>&, double, double);
void fid_write_out(const std::string&, const std::vector<double>&, const std::map<double, std::vector<double>>&, double tau);

#endif
